# Functor Binable.Of_binable2

    module Of_binable2: functor (Binable : S2) -> functor (M : sig
    type ('a, 'b) t

    val to_binable : ('a, 'b) t -> ('a, 'b) Binable.t
    val of_binable : ('a, 'b) Binable.t -> ('a, 'b) tend) -> S2  with type ('a, 'b) t := ('a, 'b) M.t

Parameters:

`Binable` | : | `S2`
`M` | : | `sig type ('a, 'b) t val to_binable : ('a, 'b) t -> ('a, 'b) Binable.t val of_binable : ('a, 'b) Binable.t -> ('a, 'b) t end`